Bug 230897 - digikam core dump when changing stars (notation/cotation) of RAW or not RAW pictures
Summary: digikam core dump when changing stars (notation/cotation) of RAW or not RAW p...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Albums-Engine (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-15 23:48 UTC by bruel
Modified: 2017-08-08 11:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bruel 2010-03-15 23:48:46 UTC
Application that crashed: digikam
Version of the application: 1.1.0
KDE Version: 4.3.5 (KDE 4.3.5)
Qt Version: 4.5.2
Operating System: Linux 2.6.31-20-generic x86_64
Distribution: Ubuntu 9.10

What I was doing when the application crashed:
Open an album mixing RAW and not RAW (jpg) pictures.
Apply direct rate changes on thumbs, about 4 or 5 times, then crash arrives.
Easy to reproduce

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
The current source language is "auto; currently c".
[Current thread is 1 (Thread 0x7fbf1bfcb750 (LWP 18471))]

Thread 21 (Thread 0x7fbf09f85910 (LWP 18472)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x12f0590, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x12f0590, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006dcb7b in Digikam::ScanController::run (this=0x12e96b0) at /build/buildd/digikam-1.1.0/digikam/scancontroller.cpp:502
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x12e96b0) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7fbf0604d910 (LWP 18523)):
#0  0x00007fbf14c453c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbf0f0cb37c in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fbf0f0cb6c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fbf157f91fe in QEventDispatcherGlib::processEvents (this=0x1672fd0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007fbf157cf532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fbf157cf904 in QEventLoop::exec (this=0x7fbf0604d050, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fbf156e76cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x1674150) at thread/qthread_unix.cpp:188
#8  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 19 (Thread 0x7fbeffeea910 (LWP 18524)):
#0  0x00007fbf14c453c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbf0f0cb37c in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fbf0f0cb6c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fbf157f91fe in QEventDispatcherGlib::processEvents (this=0x16846a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007fbf157cf532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fbf157cf904 in QEventLoop::exec (this=0x7fbeffeea050, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fbf156e76cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x16f3930) at thread/qthread_unix.cpp:188
#8  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 18 (Thread 0x7fbeff669910 (LWP 18525)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x17494c8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x17494c8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x17494b0) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x17494b0) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fbefee68910 (LWP 18526)):
#0  0x00007fbf14c453c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbf0f0cb37c in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fbf0f0cb6c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fbf157f91fe in QEventDispatcherGlib::processEvents (this=0x167bf50, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007fbf157cf532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fbf157cf904 in QEventLoop::exec (this=0x7fbefee68050, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fbf156e76cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x178e870) at thread/qthread_unix.cpp:188
#8  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 16 (Thread 0x7fbefe667910 (LWP 18527)):
#0  0x00007fbf14c453c3 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fbf0f0cb37c in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fbf0f0cb6c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fbf157f91fe in QEventDispatcherGlib::processEvents (this=0x167c0b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007fbf157cf532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fbf157cf904 in QEventLoop::exec (this=0x7fbefe667050, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fbf156e76cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x1559840) at thread/qthread_unix.cpp:188
#8  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 15 (Thread 0x7fbefde66910 (LWP 18528)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x171d288, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x171d288, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x171d270) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x171d270) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fbef6527910 (LWP 18529)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:220
#1  0x00007fbefb788c91 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 13 (Thread 0x7fbef43a2910 (LWP 18530)):
#0  0x00007fbf14c4a412 in select () from /lib/libc.so.6
#1  0x00007fbefb7b1725 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007fbefb7967e9 in ?? () from /usr/lib/libxine.so.1
#3  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fbef3ba1910 (LWP 18531)):
#0  0x00007fbf0f0c66ce in g_main_context_query () from /lib/libglib-2.0.so.0
#1  0x00007fbf0f0cb251 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007fbf0f0cb6c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007fbf157f91fe in QEventDispatcherGlib::processEvents (this=0x1eaa950, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:329
#4  0x00007fbf157cf532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007fbf157cf904 in QEventLoop::exec (this=0x7fbef3ba1000, flags=) at kernel/qeventloop.cpp:201
#6  0x00007fbf156e76cb in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007fbefb9e356e in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x7fbf00133850) at thread/qthread_unix.cpp:188
#9  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()
The current source language is "auto; currently c".

Thread 11 (Thread 0x7fbef3196910 (LWP 18534)):
#0  0x00007fbf139ee6dd in __pthread_mutex_unlock_usercnt (mutex=0x7fbf00122a40) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x7fbf00122a40) at pthread_mutex_unlock.c:289
#2  0x00007fbef319cf20 in ?? () from /usr/lib/xine/plugins/1.26/xineplug_ao_out_alsa.so
#3  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fbef2995910 (LWP 18535)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbefb799983 in ?? () from /usr/lib/libxine.so.1
#2  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fbeeef2a910 (LWP 18545)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2274e68, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2274e68, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x2274e50) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x2274e50) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()
The current source language is "auto; currently asm".

Thread 8 (Thread 0x7fbeed727910 (LWP 18552)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x245e0d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x245e0d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x245e0c0) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x245e0c0) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fbeeff2c910 (LWP 18553)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2a4e7d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2a4e7d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x2a4e7c0) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x2a4e7c0) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fbee4fd4910 (LWP 18570)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2d7ed68, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2d7ed68, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x2d7ed50) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x2d7ed50) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fbee57d5910 (LWP 18608)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x69f5f28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x69f5f28, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x69f5f10) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x69f5f10) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fbeecf26910 (LWP 18609)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x6a40b48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x6a40b48, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x6a40b30) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x6a40b30) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fbedffff910 (LWP 18649)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x6ba3168, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x6ba3168, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x6ba3150) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x6ba3150) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fbec515f910 (LWP 18651)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007fbf156eb4fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x6cbd068, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x6cbd068, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007fbf190778f2 in Digikam::LoadSaveThread::run (this=0x6cbd050) at /build/buildd/digikam-1.1.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007fbf156ea445 in QThreadPrivate::start (arg=0x6cbd050) at thread/qthread_unix.cpp:188
#5  0x00007fbf139eaa04 in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007fbf14c5180d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fbf1bfcb750 (LWP 18471)):
[KCrash Handler]
#5  QString::size (this=<value optimized out>, other=...) at ../../include/QtCore/../../src/corelib/tools/qstring.h:104
#6  QString::operator== (this=<value optimized out>, other=...) at tools/qstring.cpp:1912
#7  0x00007fbf17c8f06b in KDirWatchPrivate::Entry::findSubEntry (this=0x13aef70) at ../../kio/kio/kdirwatch_p.h:157
#8  KDirWatchPrivate::inotifyEventReceived (this=0x13aef70) at ../../kio/kio/kdirwatch.cpp:297
#9  0x00007fbf17c906c4 in KDirWatchPrivate::qt_metacall (this=0x13aef70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7ffff4fd0860) at ./kdirwatch_p.moc:75
#10 0x00007fbf157e5ddc in QMetaObject::activate (sender=0x1381460, from_signal_index=<value optimized out>, to_signal_index=<value optimized out>, argv=0x2) at kernel/qobject.cpp:3113
#11 0x00007fbf1581be9e in QSocketNotifier::activated (this=0x0, _t1=14) at .moc/release-shared/moc_qsocketnotifier.cpp:83
#12 0x00007fbf157ea773 in QSocketNotifier::event (this=0x1381460, e=0x7ffff4fd0da0) at kernel/qsocketnotifier.cpp:316
#13 0x00007fbf16365efc in QApplicationPrivate::notify_helper (this=0x1136c00, receiver=0x1381460, e=0x7ffff4fd0da0) at kernel/qapplication.cpp:4056
#14 0x00007fbf1636d1ce in QApplication::notify (this=0x7ffff4fd10d0, receiver=0x1381460, e=0x7ffff4fd0da0) at kernel/qapplication.cpp:4021
#15 0x00007fbf17756f46 in KApplication::notify (this=0x7ffff4fd10d0, receiver=0x1381460, event=0x7ffff4fd0da0) at ../../kdeui/kernel/kapplication.cpp:302
#16 0x00007fbf157d0c2c in QCoreApplication::notifyInternal (this=0x7ffff4fd10d0, receiver=0x1381460, event=0x7ffff4fd0da0) at kernel/qcoreapplication.cpp:610
#17 0x00007fbf157f942a in QCoreApplication::sendEvent (source=0x113a8b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#18 socketNotifierSourceDispatch (source=0x113a8b0) at kernel/qeventdispatcher_glib.cpp:110
#19 0x00007fbf0f0c7bce in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#20 0x00007fbf0f0cb598 in ?? () from /lib/libglib-2.0.so.0
#21 0x00007fbf0f0cb6c0 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#22 0x00007fbf157f91a6 in QEventDispatcherGlib::processEvents (this=0x1104590, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#23 0x00007fbf163fa4be in QGuiEventDispatcherGlib::processEvents (this=0x0, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#24 0x00007fbf157cf532 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#25 0x00007fbf157cf904 in QEventLoop::exec (this=0x7ffff4fd1000, flags=) at kernel/qeventloop.cpp:201
#26 0x00007fbf157d1ab9 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#27 0x0000000000780572 in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.1.0/digikam/main.cpp:195
The current source language is "auto; currently c".

Reported using DrKonqi
Comment 1 caulier.gilles 2010-03-16 07:16:10 UTC

*** This bug has been marked as a duplicate of bug 222547 ***
Comment 2 caulier.gilles 2017-08-08 11:36:59 UTC
Since digiKam 5.0.0, KDirWatch was been replaced by QFileSytemWatcher. It will
not reproducible.

Gilles Caulier